Package com.pixelmed.dose

# Class CTScanType

java.lang.Object
com.pixelmed.dose.CTScanType

public class CTScanType extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final CTScanType`
`AXIAL`
`static final CTScanType`
`CONEBEAM`
`static final CTScanType`
`FREE`
`static final CTScanType`
`HELICAL`
`static final CTScanType`
`LOCALIZER`
`static final CTScanType`
`STATIONARY`
`static final CTScanType`
`UNKNOWN`

## Method Summary

Modifier and Type
Method
Description
`CodedSequenceItem`
`getCodedSequenceItem()`
`static CodedSequenceItem`
`getCodedSequenceItem(CTScanType scanType)`
`static CTScanType`
`selectFromCode(CodedSequenceItem csi)`
`static CTScanType`
`selectFromDescription(String description)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### LOCALIZER

public static final CTScanType LOCALIZER

### HELICAL

public static final CTScanType HELICAL

### AXIAL

public static final CTScanType AXIAL

### STATIONARY

public static final CTScanType STATIONARY

### FREE

public static final CTScanType FREE

### CONEBEAM

public static final CTScanType CONEBEAM

### UNKNOWN

public static final CTScanType UNKNOWN

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### selectFromDescription

public static CTScanType selectFromDescription(String description)

### selectFromCode

public static CTScanType selectFromCode(CodedSequenceItem csi)

### getCodedSequenceItem

public static CodedSequenceItem getCodedSequenceItem(CTScanType scanType) throws DicomException

Throws:
  `DicomException`

### getCodedSequenceItem

public CodedSequenceItem getCodedSequenceItem() throws DicomException

Throws:
  `DicomException`